Subject: LDP discovery, generic encap on atm

From: Mark Duffy <[email-masked]>
Date: Fri, 12 Jul 2002 18:57:58 -0400

Hi,  I have a question about LDP discovery when running over an NBMA
network using generic shim encapsulation.  (I.e. *not* LC-ATM)

RFC 3036 states in sect 2.4 that Basic Discovery is used to discover LSR
neighbors that are directly connected at the link level, and that it does
this using multicast addressing.  If one wants to run LDP across an NBMA
atm network with no multicast capability, one presumably needs to configure
the neighbors.

Should the Extended Discovery mechanism be used?  It seems like just the
ticket, other than that rfc 3036 states that it is used to locate LSRs that
are not directly connected at the link level.

Thanks, Mark